Subject: Re: bug#44180: 28.0.50; Emacs frames won't redisplay unless resized

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Oct 2020 21:25:32 +0300

> From: Eric Abrahamsen <[email-masked]>
> Date: Fri, 23 Oct 2020 11:17:16 -0700
> 
> I rebuilt Emacs on one of my machines yesterday, and am seeing odd
> behavior (with emacs -Q): I use a tiling window manager, which
> fullscreens frames by default, and when I open multiple Emacs frames,
> only one of them redisplays correctly, the others stay "frozen" and do
> not update the display until I manually resize the frame.
> 
> I start Emacs, use "C-x 5 2" a couple of times to get my usual three
> frames. Only the last-created frame has "live" redisplay: I can switch
> focus between the frames, but the others won't update. If I switch to a
> frozen frame and do something like `find-file', I see the window title
> change to "minibuffer", and commands are accepted correctly, but the
> frame contents aren't updated.

Sounds like Emacs thinks those other frames are invisible or
iconified.  Emacs never redisplays such frames, for obvious reasons.